/etc/init.d/zabbix-proxy is in zabbix-proxy-sqlite3 1:1.8.11-1.
This file is owned by root:root, with mode 0o755.
The actual contents of the file can be viewed below.
1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 51 52 53 54 55 56 57 58 59 60 61 62 63 64 65 66 67 68 69 70 71 | #! /bin/sh
### BEGIN INIT INFO
# Provides: zabbix-proxy
# Required-Start: $remote_fs $network
# Required-Stop: $remote_fs
# Default-Start: 2 3 4 5
# Default-Stop: 0 1 6
# Short-Description: Start zabbix-proxy daemon
### END INIT INFO
set -e
NAME=zabbix_proxy
DAEMON=/usr/sbin/$NAME
DESC="Zabbix proxy daemon"
test -x $DAEMON || exit 0
DIR=/var/run/zabbix
PID=$DIR/$NAME.pid
RETRY=15
if test ! -d "$DIR"; then
mkdir "$DIR"
chown -R zabbix:zabbix "$DIR"
fi
export PATH="${PATH:+$PATH:}/usr/sbin:/sbin"
# define LSB log_* functions.
. /lib/lsb/init-functions
case "$1" in
start)
log_daemon_msg "Starting $DESC" "$NAME"
start-stop-daemon --oknodo --start --pidfile $PID \
--exec $DAEMON >/dev/null 2>&1
case "$?" in
0) log_end_msg 0 ;;
*) log_end_msg 1; exit 1 ;;
esac
;;
stop)
log_daemon_msg "Stopping $DESC" "$NAME"
start-stop-daemon --oknodo --stop --exec $DAEMON --retry $RETRY
case "$?" in
0) log_end_msg 0 ;;
*) log_end_msg 1; exit 1 ;;
esac
;;
status)
ls -l /proc/`cat $PID`/exe > /dev/null 2>&1
if [ $? -eq 0 ]; then
echo "$DESC is running"
exit 0
else
echo "$DESC is NOT running"
exit 1
fi
;;
restart|force-reload)
$0 stop
$0 start
;;
*)
echo "Usage: /etc/init.d/$NAME {start|stop|restart|force-reload}" >&2
exit 1
;;
esac
exit 0
|